# Gimp.pencil

    @accepts(Gimp.Drawable, gsize, [float])
    @returns(bool)
    def pencil(drawable, num_strokes, strokes):
        # Python wrapper for gimp_pencil()

Paint in the current brush without sub-pixel sampling.

This tool is the standard pencil. It draws linearly interpolated lines through the specified stroke coordinates. It operates on the specified drawable in the foreground color with the active brush. The brush mask is treated as though it contains only black and white values. Any value below half is treated as black; any above half, as white.

drawable

  The affected drawable.

num_strokes

  Number of stroke control points (count each coordinate as 2 points).

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns